Bug 1657545 - Docker images are pulled only once wihch under specific circumstances might require a manual intervention to pull them
Summary: Docker images are pulled only once wihch under specific circumstances might r...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: x86_64
OS: All
high
medium
Target Milestone: ---
: ---
Assignee: Steve Baker
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-09 20:38 UTC by David Hill
Modified: 2019-10-31 13:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-19 15:58:18 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Hill 2018-12-09 20:38:42 UTC
Description of problem:
Docker images are pulled only once wihch under specific circumstances might require a manual intervention to pull them

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Customize one container image
2. Forget to push it
3. Modify the container image file to use the ne customized containter image
4. Run openstack overcloud deploy 
5. Fails
6. Push the image to registry
7. Run openstack overcloud deploy

Actual results:
Fails again even though it should try pulling the image if it's not locally saved (or something like that)

Expected results:
Succeeds

Additional info:

Comment 1 Steve Baker 2018-12-10 19:36:54 UTC
Can you please provide what you did for 3. and the actual error log for 5. and 7.?

Comment 4 Steve Baker 2019-01-28 22:11:52 UTC
Any update on getting the reproducer details for this?

Comment 5 David Hill 2019-01-31 14:54:52 UTC
I just finished deploying my OSP13 environment and I'm running some tempest tests on it for another case and as soon as that is completed, I'll be able to reproduce this behavior.

Comment 6 David Hill 2019-03-05 14:14:20 UTC
Hey I didn't forget about this but I have really lots of things on my plate ... Should be done soon.

Comment 7 Alex Schultz 2019-06-19 15:58:18 UTC
Unable to reproduce. If this persists, please provide additional information so that we can reproduce the issue. Thanks.


Note You need to log in before you can comment on or make changes to this bug.